> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Helm Chart Releases Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/charts/releases/{repository_name}/{chart_name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/charts/releases/{repository_name}/{chart_name}:
    get:
      tags:
        - Helm API
      summary: Get Helm Chart Releases Endpoint
      operationId: >-
        get_helm_chart_releases_endpoint_api_v1_org_helm_charts_releases__repository_name___chart_name__get
      parameters:
        - in: path
          name: repository_name
          required: true
          schema:
            maxLength: 253
            title: Repository Name
            type: string
        - in: path
          name: chart_name
          required: true
          schema:
            maxLength: 253
            title: Chart Name
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHelmChartReleasesResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetHelmChartReleasesResult:
      properties:
        has_next:
          title: Has Next
          type: boolean
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        result:
          items:
            $ref: '#/components/schemas/GithubChartRelease'
          title: Result
          type: array
        total:
          title: Total
          type: integer
      required:
        - result
        - total
        - page
        - page_size
        - has_next
      title: GetHelmChartReleasesResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GithubChartRelease:
      properties:
        authors:
          items:
            type: string
          title: Authors
          type: array
        body:
          title: Body
          type: string
        chart_resource_id:
          format: uuid4
          title: Chart Resource Id
          type: string
        created_at:
          title: Created At
          type: string
        html_url:
          title: Html Url
          type: string
        prerelease:
          default: false
          title: Prerelease
          type: boolean
        release_id:
          title: Release Id
          type: string
        repository_name:
          title: Repository Name
          type: string
        repository_owner:
          title: Repository Owner
          type: string
        version:
          title: Version
          type: string
      required:
        - repository_owner
        - repository_name
        - version
        - html_url
        - body
        - created_at
        - release_id
        - authors
        - chart_resource_id
      title: GithubChartRelease
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````